package org.alfresco.bm;

import org.alfresco.bm.session.SessionService;
import org.alfresco.bm.site.SiteDataService;
import org.alfresco.bm.user.UserDataService;

/**
 * Bundle up services into a handy single access point.
 * 
 * @author steveglover
 *
 */
public class Services
{
    private final UserDataService userDataService;
    private final SiteDataService siteDataService;
    private final SessionService sessionService;

    public Services(UserDataService userDataService, SiteDataService siteDataService, SessionService sessionService)
    {
        this.userDataService = userDataService;
        this.siteDataService = siteDataService;
        this.sessionService = sessionService;
    }

    public UserDataService getUserDataService()
    {
        return userDataService;
    }
    
    public SiteDataService getSiteDataService()
    {
        return siteDataService;
    }

    public SessionService getSessionService()
	{
		return sessionService;
	}    
}
